package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.SysRole;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.RoleQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-20
 */
public interface ISysRoleService extends IService<SysRole> {

	BaseResponse<IPage<SysRole>> getPage(PageQuery pageQuery, String name);

	BaseResponse<SysRole> create(RoleQuery query);

	BaseResponse<SysRole> update(RoleQuery query);

	BaseResponse<SysRole> byUserId(Integer userId);

	BaseResponse<String> delete(Integer id);

}
